#ifndef AWMSGBOX_H
#define AWMSGBOX_H

#include <QDialog>
#include <mutex>

namespace Ui {
class awMsgBox;
}

#include <QTimer>

class awMsgBox : public QDialog
{
    Q_OBJECT

public:
    explicit awMsgBox(QWidget *parent = nullptr);
    ~awMsgBox();

    void initUI();
    void setMsg(QString sMsg);
	static std::list< std::shared_ptr<awMsgBox>> vMsgList;
	static std::mutex msgMutex;
private slots:
    void on_btn_awmb_close_clicked();

private:
    Ui::awMsgBox *ui;
    std::shared_ptr<QTimer> m_pTimer;	

};

extern void ShowMsg(QString sMsg, QWidget *parent = nullptr);

#endif // AWMSGBOX_H
